Data Dictionary - Get Excel Sheet with App Data
Retrieve detailed information including data types, references, labels, etc. on the hierarchical data included in apps specified in the call. This information is returned as an Excel (.xlsx) file.
Endpoint
GET /v1/domains/{domainKey}/projects/{projectId}/entityschema/get?appNames={appNames}&includeReferences={includeReferences}
Path Parameters
| Parameter | Type | Description |
|---|---|---|
| domainKey | string | The domain key. Value can be found from within Kahua in Domain Settings -> Authentication |
| projectId | integer | Always use zero as the value since the data dictionary is domain-scoped |
Query Parameters
| Parameter | Type | Description |
|---|---|---|
| appNames | integer | Comma-separated list of app names for which data is requested. |
| includeReferences | boolean | Optional query parameter that takes value of true or false depending on whether a column for reference apps is desired in the returned Excel file. Default value is false. |
Including app extension names in the call may cause errors. Only base app names should be passed to the appNames parameter in the URL. All fields from any installed extensions will be automatically included in the data dictionary for their respective base apps specified in the call.
Request Body
None
Response Body
Binary data of Excel (.xlsx) file with a Content-Type header of application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
Example
Request
GET https://service.kahua.com/v1/domains/MagsevenBuilders/projects/0/entityschema/get?appNames=kahua_Address,kahua_CompanyManager,kahua_PeopleManager&includeReferences=false
If you are using Postman, remember to hit the arrow beside the "Send" button and click "Send and Download" instead.
Newer version of Postman may have a "Download response" action instead.
After doing this, save the response with the extension .xlsx and view in Excel.
Response
Click here to download a sample data dictionary file generated from the request.
Prior to the 2026.3 release, this endpoint generated an .xls file rather than an .xlsx file.
Errors
This occurs when an app in the appNames parameter cannot be found in the domain. There will be no response body for this error.
Status Code: 400
Steps to Resolve Error
-
Check the spelling of all app names present in the appNames parameter
-
Use Installed Apps in Kahua to verify the application is installed
-
Remove app names from the appNames parameter until the error stops

